#adresseform {
    padding-top: 2em;
}

#adresseform .button {
    display: initial;
    position: absolute;
    right: 0;
    top: 0;
    margin-top: 2em;
}

#adresseform .button:hover {
    transform: none;
}

form {
    position: relative;
    z-index: 10;
}

form .autoComplete_wrapper {
    width: 100%;
    padding: 0;
}

form .autoComplete_wrapper > ul > li mark {
    color: #ff6600; /* Remplacez $orange par sa valeur */
}

form #autoComplete {
    position: relative;
    height: 48px;
    font-size: 12px;
    font-family: 'Work Sans', sans-serif; /* Remplacez $work par la police */
    box-shadow: 0px 5px 5px 0px #0000001A;
    border: none;
    padding: 1.45em 4em;
    width: 100%;
    border-radius: 30px;
    background: left 15px center no-repeat;
    background-image: url("data:image/svg+xml,%3Csvg version='1.0' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 64 64' enable-background='new 0 0 64 64' xml:space='preserve' fill='%23000000'%3E%3Cg id='SVGRepo_bgCarrier' stroke-width='0'%3E%3C/g%3E%3Cg id='SVGRepo_tracerCarrier' stroke-linecap='round' stroke-linejoin='round'%3E%3C/g%3E%3Cg id='SVGRepo_iconCarrier'%3E%3Cg%3E%3Cpath fill='%23004899' d='M62.242,53.757L51.578,43.093C54.373,38.736,56,33.56,56,28C56,12.536,43.464,0,28,0S0,12.536,0,28 s12.536,28,28,28c5.56,0,10.736-1.627,15.093-4.422l10.664,10.664c2.344,2.344,6.142,2.344,8.485,0S64.586,56.101,62.242,53.757z M28,54C13.641,54,2,42.359,2,28S13.641,2,28,2s26,11.641,26,26S42.359,54,28,54z M60.828,60.828c-1.562,1.562-4.095,1.562-5.656,0 L44.769,50.425c2.145-1.606,4.051-3.513,5.657-5.656l10.402,10.402C62.391,56.732,62.391,59.266,60.828,60.828z'%3E%3C/path%3E%3Cpath fill='%23004899' d='M28,4C14.745,4,4,14.745,4,28s10.745,24,24,24s24-10.745,24-24S41.255,4,28,4z M28,50 C15.85,50,6,40.15,6,28S15.85,6,28,6s22,9.85,22,22S40.15,50,28,50z'%3E%3C/path%3E%3Cpath fill='%23004899' d='M28,11c-0.553,0-1,0.447-1,1s0.447,1,1,1c8.284,0,15,6.716,15,15c0,0.553,0.447,1,1,1s1-0.447,1-1 C45,18.611,37.389,11,28,11z'%3E%3C/path%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
    background-size: 20px;
    background-color: var(--color-soft-pink);
    color: #0073aa; /* Remplacez $bluetext par sa valeur */
}

form #autoComplete::placeholder {
    color: #0073aa; /* Remplacez $bluetext par sa valeur */
    font-family: 'Work Sans', sans-serif; /* Remplacez $work par la police */
}

form input[type="submit"] {
    font-family: 'Work Sans', sans-serif; /* Remplacez $work par la police */
}

form #sans-adresse {
    text-align: left;
    text-decoration: underline;
    font-size: 16px;
    color: #0073aa; /* Remplacez $bluetext par sa valeur */
    margin-top: 16px;
    transition: 0.3s;
    cursor: pointer;
    margin-right: 0;
    width: fit-content;
    margin-left: auto;
}

form #sans-adresse:hover {
    color: var(--color-blue);
    transition: 0.3s;
}

#resultat {
    max-width: 450px;
}

#resultat div {
    border-radius: 30px;
    padding: 2em;
    background-color: white;
}

#resultat h3 {
    font-family: 'Fira Sans', sans-serif; /* Remplacez $fira par la police */
    font-size: 30px;
    color: #0073aa; /* Remplacez $bluetext par sa valeur */
}

#resultat p {
    font-size: 20px;
    color: #0073aa; /* Remplacez $bluetext par sa valeur */
    margin-bottom: 8px;
}

#resultat a {
    font-size: 16px;
}

#resultat .good {
    border: 2px solid #0073aa; /* Remplacez $bluetext par sa valeur */
    -webkit-animation: fade-in-bottom 0.6s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
    animation: fade-in-bottom 0.6s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
}

#resultat .good .button{
    margin-top: 12px;
}

#resultat .good .contact-info {
    padding: 1em 0;
}

#resultat .good .contact-info p {
    width: 100%;
}

#resultat .good .contact-info p:not(:first-child) {
    border-top: 0.3px solid #000000;
}

#resultat .good .contact-info p:nth-of-type(1) {
    padding: 1em 0;
}

#resultat .good .contact-info p:nth-of-type(1)::before {
    content: "";
    background: url(../img/marqueur.svg);
    min-width: 30px;
    height: 30px;
    float: left;
    margin: 0 10px 0 0;
}

#resultat .good .contact-info p:nth-of-type(2) {
    padding: 1em 0;
}

#resultat .good .contact-info p:nth-of-type(2)::before {
    content: "";
    background: url(../img/phone.svg);
    min-width: 30px;
    height: 30px;
    float: left;
    margin: 0 10px 0 0;
}

#resultat .good .contact-info p:nth-of-type(3) {
    padding-top: 1em;
    padding-bottom: 2em;
}

#resultat .good .contact-info p:nth-of-type(3)::before {
    content: "";
    background: url(../img/train.svg);
    min-width: 30px;
    height: 30px;
    float: left;
    margin: 0 10px 0 0;
}

#resultat .bad {
    border: 2px solid red;
    -webkit-animation: fade-in-bottom 0.6s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
    animation: fade-in-bottom 0.6s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
}
